MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027789Open CASCADE[OCCT] OCCT:Visualizationpublic2016-08-17 18:502016-12-09 16:38
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027789: Visualization, TKOpenGl - improve compatibility with new OpenGL ES devices
DescriptionThe following issues should be considered:
1) Anaglyph fragment shader defines the following lines:
  vec4 THE_POW_UP   = vec4 (2.2, 2.2, 2.2, 1.0);
  vec4 THE_POW_DOWN = 1.0 / THE_POW_UP;

produce the following error
'multUp': Only consts or uniforms can be used in a global initializer


2) GL_KHR_debug extension should be loaded as functional equivalent of GL_ARB_debug_output on desktop.

Device info (Samsung Galaxy Tab S2):
EGL info
  Version:     1.4 (1.4 Android META-EGL)
  Vendor:      Android
  Client APIs: OpenGL_ES
  Extensions:  EGL_KHR_get_all_proc_addresses EGL_ANDROID_presentation_time EGL_KHR_swap_buffers_with_damage 
EGL_KHR_image EGL_KHR_image_base EGL_KHR_lock_surface EGL_KHR_gl_texture_2D_image EGL_KHR_gl_texture_3D_image 
EGL_KHR_gl_texture_cubemap_image EGL_KHR_gl_renderbuffer_image EGL_KHR_reusable_sync EGL_KHR_fence_sync 
EGL_KHR_create_context EGL_KHR_surfaceless_context EGL_EXT_create_context_robustness EGL_ANDROID_image_native_buffer 
EGL_KHR_wait_sync EGL_ANDROID_recordable EGL_KHR_partial_update EGL_KHR_create_context_no_error 

Created new GL context:
  GLvendor: Qualcomm
  GLdevice: Adreno (TM) 510
  GLversion: OpenGL ES 3.1 V@139.0 (GIT@Ic07f1cdce3)
  GLSLversion: OpenGL ES GLSL ES 3.10
  Max texture size: 16384
  Window Info: 0x0 RGB24 A0 D0 S0
Steps To Reproducetest case
v3d glsl stereo
TagsNo tags attached.
Test case numberv3d glsl stereo
Attached Files

- Relationships

-  Notes
(0056811)
git (administrator)
2016-08-17 22:31

Branch CR27789 has been created by kgv.

SHA-1: 84fa5c8f9d27b3afbc065e6b1b9b6abc2dcb026f


Detailed log of new commits:

Author: kgv
Date: Wed Aug 17 22:28:35 2016 +0300

    0027789: Visualization, TKOpenGl - improve compatibility with new OpenGL ES devices
    
    OpenGl_ShaderManager::prepareStdProgramStereo() - fixed definition of global constants
    in optimized Anaglyph shader.
    
    OpenGl_Context now loads GL_KHR_debug extension within OpenGL ES context.
(0056812)
kgv (developer)
2016-08-17 22:32

Patch is ready for review.
(0056948)
san (developer)
2016-08-22 23:31

Branch CR27789 reviewed without remarks, ready for testing.
(0056965)
git (administrator)
2016-08-23 14:54

Branch CR27789 has been updated forcibly by apv.

SHA-1: 103a61e989e7e44f60b13b2dcbe39d26b7aaebd3
(0056966)
apv (tester)
2016-08-23 14:55

Branch CR27789 has been rebased on the current master
(0057017)
apv (tester)
2016-08-24 12:04
edited on: 2016-08-24 12:05

Dear BugMaster,

Branch CR27789 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 103a61e989e7e44f60b13b2dcbe39d26b7aaebd3

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 64
   Windows: 0
   MacOS: 1130

Regressions/Differences:
Not detected

Testing cases:
v3d glsl stereo - OK
http://occt-tests/CR27789-master-OCCT/Debian70-64/v3d/glsl/stereo.html [^]
http://occt-tests/CR27789-master-OCCT/Windows-64-VC10/v3d/glsl/stereo.html [^]

Testing on Linux:
Total MEMORY difference: 89940240 / 89557742 [+0.43%]
Total CPU difference: 19728.340000000087 / 19495.580000000107 [+1.19%]

Testing on Windows:
Total MEMORY difference: 57143308 / 57161393 [-0.03%]
Total CPU difference: 18069.892231898877 / 18084.68112669885 [-0.08%]

(0057122)
git (administrator)
2016-08-26 16:21

Branch CR27789 has been deleted by inv.

SHA-1: 103a61e989e7e44f60b13b2dcbe39d26b7aaebd3

- Related Changesets
occt: master 0deb6f04
Timestamp: 2016-08-17 19:28:35
Author: kgv
Committer: bugmaster
Details ] Diff ]
0027789: Visualization, TKOpenGl - improve compatibility with new OpenGL ES devices

OpenGl_ShaderManager::prepareStdProgramStereo() - fixed definition of global constants
in optimized Anaglyph shader.

OpenGl_Context now loads GL_KHR_debug extension within OpenGL ES context.
mod - src/OpenGl/OpenGl_ArbDbg.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GlFunctions.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderManager.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-08-17 18:50 kgv New Issue
2016-08-17 18:50 kgv Assigned To => kgv
2016-08-17 22:31 git Note Added: 0056811
2016-08-17 22:32 kgv Note Added: 0056812
2016-08-17 22:32 kgv Assigned To kgv => san
2016-08-17 22:32 kgv Status new => resolved
2016-08-22 23:31 san Note Added: 0056948
2016-08-22 23:31 san Assigned To san => bugmaster
2016-08-22 23:31 san Status resolved => reviewed
2016-08-23 13:36 apv Assigned To bugmaster => apv
2016-08-23 14:54 git Note Added: 0056965
2016-08-23 14:55 apv Note Added: 0056966
2016-08-24 10:35 apv Test case number => v3d glsl stereo
2016-08-24 12:04 apv Note Added: 0057017
2016-08-24 12:04 apv Assigned To apv => bugmaster
2016-08-24 12:04 apv Status reviewed => tested
2016-08-24 12:05 apv Note Edited: 0057017 View Revisions
2016-08-26 11:53 bugmaster Changeset attached => occt master 0deb6f04
2016-08-26 11:53 bugmaster Status tested => verified
2016-08-26 11:53 bugmaster Resolution open => fixed
2016-08-26 16:21 git Note Added: 0057122
2016-12-09 16:31 user533 Status verified => closed
2016-12-09 16:38 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker